#!/bin/bash

# ALWAYS READ THROUGH ANY SCRIPT POSTED ONLINE
# BEFORE RUNNING THEM ON YOUR SYSTEM!
# IF YOU ARE UNSURE, DO NOT RUN IT!

# Simple Machinarium installer script for Linux.
# This script must be in the SAME folder as Machinarium_full_en.tar.gz.
# This script MUST be run as root with sudo or su.
# Example: sudo sh machinarium_installer.sh

# This does not install extra packages or alter the game files.
# If you require such, it must be done manually.



# Extract the .tar.gz archive into the new /opt/machinarium/ directory
tar xvzf Machinarium_full_en*.tar.gz -C /opt/



# Fix the permissions
mv /opt/Machinarium /opt/machinarium
chown -R root:root /opt/machinarium
chmod 755 /opt/machinarium/Machinarium
chmod 644 /opt/machinarium/00/*
chmod 644 /opt/machinarium/01/*
chmod 644 /opt/machinarium/10/*
chmod 644 /opt/machinarium/11/*



# Retrieve the icon from deviantart.com,
# created by Darkhavans
wget http://www.deviantart.com/download/141463511/Machinarium_Dock_Icon_by_Darkhavans.png
mv Machinarium_Dock_Icon_by_Darkhavans.png /opt/machinarium/machinarium_icon.png



# Create the custom launcher
cat > /opt/machinarium/machinarium_launcher.sh << EOF
#!/bin/bash

### Simple launcher for Machinarium.
### Fixes issue with black screen, mouse clicks, and working directory.

# Change the working directory to match the executable's directory
cd /opt/machinarium/

# Now launch the Machinarium executable, with a fix for some mouse issues
GDK_NATIVE_WINDOWS=true /opt/machinarium/Machinarium

exit 0
EOF
chmod +x /opt/machinarium/machinarium_launcher.sh



# Create the menu item
cat > /usr/share/applications/machinarium.desktop << EOF
[Desktop Entry]
Name=Machinarium
GenericName=Flash-based story game
Comment=Flash-based story game
Path=/opt/machinarium
Exec=/opt/machinarium/machinarium_launcher.sh
Icon=/opt/machinarium/machinarium_icon.png
NoDisplay=false
StartupNotify=true
Terminal=false
Type=Application
Categories=Game;LogicGame;
EOF



# End of installer script
echo "Installation complete."
